Seer Somak:
Hermodt of the Neruga tribe! He is the one who killed more medusas than anyone else, during our bloody battle with the serpents!
At that time, the Human tribe who were under our protection asked us for aid, so we sent troops to help the Human beings. Hermodt who lead that troop was called 'the indomitable warrior because he had a strong body which could fight for 3 days and 3 nights, and had the patience not to yield to the enemies.
His body is said lie in the town of Giran. Hear the story in detail from Seer Manakia of Giran! And bring back the remains of Hermodt!
Return